<?php
/**
 * EMT Connector.
 *
 * @see       http://mdash.ru/
 * @copyright (C) 2016 Roman Parpalak
 * @license   http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
 * @package   s2_emt
 */

if (!defined('S2_ROOT')) {
	die;
}

require_once 'EMT.php';

function s2_emt_make($contents, $soft = 0)
{
	static $typograf = null;

	if ($typograf === null) {
		$typograf = new EMTypograph();
	}

	$typograf->set_text($contents);
	$result = $typograf->apply();

	return $result;
}
